Package org.silverpeas.components.kmelia.servlets.renderers

## Class PublicationFragmentSettings

- java.lang.Object
- - org.silverpeas.components.kmelia.servlets.renderers.PublicationFragmentSettings

-     public class PublicationFragmentSettings
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PublicationFragmentSettings()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getHighlightClass()` |
    `String` | `getPubColor()` |
    `String` | `getPubState()` |
    `boolean` | `isDisplayLinks()` |
    `boolean` | `isDraggable()` |
    `boolean` | `isFileStorageShowExtraInfoPub()` |
    `boolean` | `isLinkAttachment()` |
    `boolean` | `isLinksAllowed()` |
    `boolean` | `isRateable()` |
    `boolean` | `isSeeAlso()` |
    `boolean` | `isShowImportance()` |
    `boolean` | `isShowTopicPathNameinSearchResult()` |
    `boolean` | `isToSearch()` |
    `PublicationFragmentSettings` | `setDisplayLinks​(boolean displayLinks)` |
    `PublicationFragmentSettings` | `setDraggable​(boolean draggable)` |
    `PublicationFragmentSettings` | `setFileStorageShowExtraInfoPub​(boolean fileStorageShowExtraInfoPub)` |
    `PublicationFragmentSettings` | `setHighlightClass​(String highlightClass)` |
    `PublicationFragmentSettings` | `setLinkAttachment​(boolean linkAttachment)` |
    `PublicationFragmentSettings` | `setLinksAllowed​(boolean linksAllowed)` |
    `PublicationFragmentSettings` | `setPubColor​(String pubColor)` |
    `PublicationFragmentSettings` | `setPubState​(String pubState)` |
    `PublicationFragmentSettings` | `setRateable​(boolean rateable)` |
    `PublicationFragmentSettings` | `setSeeAlso​(boolean seeAlso)` |
    `PublicationFragmentSettings` | `setShowImportance​(boolean showImportance)` |
    `PublicationFragmentSettings` | `setShowTopicPathNameinSearchResult​(boolean showTopicPathNameinSearchResult)` |
    `PublicationFragmentSettings` | `setToSearch​(boolean toSearch)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicationFragmentSettings

          public PublicationFragmentSettings()

  - ### Method Detail

    - #### getPubColor

          public String getPubColor()

    - #### setPubColor

          public PublicationFragmentSettings setPubColor​(String pubColor)

    - #### getHighlightClass

          public String getHighlightClass()

    - #### setHighlightClass

          public PublicationFragmentSettings setHighlightClass​(String highlightClass)

    - #### getPubState

          public String getPubState()

    - #### setPubState

          public PublicationFragmentSettings setPubState​(String pubState)

    - #### isLinksAllowed

          public boolean isLinksAllowed()

    - #### setLinksAllowed

          public PublicationFragmentSettings setLinksAllowed​(boolean linksAllowed)

    - #### isSeeAlso

          public boolean isSeeAlso()

    - #### setSeeAlso

          public PublicationFragmentSettings setSeeAlso​(boolean seeAlso)

    - #### isShowImportance

          public boolean isShowImportance()

    - #### setShowImportance

          public PublicationFragmentSettings setShowImportance​(boolean showImportance)

    - #### isLinkAttachment

          public boolean isLinkAttachment()

    - #### setLinkAttachment

          public PublicationFragmentSettings setLinkAttachment​(boolean linkAttachment)

    - #### isToSearch

          public boolean isToSearch()

    - #### setToSearch

          public PublicationFragmentSettings setToSearch​(boolean toSearch)

    - #### isShowTopicPathNameinSearchResult

          public boolean isShowTopicPathNameinSearchResult()

    - #### setShowTopicPathNameinSearchResult

          public PublicationFragmentSettings setShowTopicPathNameinSearchResult​(boolean showTopicPathNameinSearchResult)

    - #### isFileStorageShowExtraInfoPub

          public boolean isFileStorageShowExtraInfoPub()

    - #### setFileStorageShowExtraInfoPub

          public PublicationFragmentSettings setFileStorageShowExtraInfoPub​(boolean fileStorageShowExtraInfoPub)

    - #### isDisplayLinks

          public boolean isDisplayLinks()

    - #### setDisplayLinks

          public PublicationFragmentSettings setDisplayLinks​(boolean displayLinks)

    - #### isDraggable

          public boolean isDraggable()

    - #### setDraggable

          public PublicationFragmentSettings setDraggable​(boolean draggable)

    - #### isRateable

          public boolean isRateable()

    - #### setRateable

          public PublicationFragmentSettings setRateable​(boolean rateable)